summaryrefslogtreecommitdiff
path: root/dev-python/OutputCheck
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-17 08:15:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-17 08:15:19 +0000
commit04f0b7378b99aed246badbe072846936a6f2029f (patch)
treeeaa0fd7377a6233ae18c7b79ed639e9849e26209 /dev-python/OutputCheck
parent6bbcdcb9c1f4c5adfdd646913ec38a6ba88d9588 (diff)
downloadbaldeagleos-repo-04f0b7378b99aed246badbe072846936a6f2029f.tar.gz
baldeagleos-repo-04f0b7378b99aed246badbe072846936a6f2029f.tar.xz
baldeagleos-repo-04f0b7378b99aed246badbe072846936a6f2029f.zip
Adding metadata
Diffstat (limited to 'dev-python/OutputCheck')
-rw-r--r--dev-python/OutputCheck/OutputCheck-0.4.2-r1.ebuild (renamed from dev-python/OutputCheck/OutputCheck-0.4.2.ebuild)4
-rw-r--r--dev-python/OutputCheck/files/OutputCheck-0.4.2-Driver.patch11
2 files changed, 14 insertions, 1 deletions
diff --git a/dev-python/OutputCheck/OutputCheck-0.4.2.ebuild b/dev-python/OutputCheck/OutputCheck-0.4.2-r1.ebuild
index 48d9b091dc9b..d81da52f8128 100644
--- a/dev-python/OutputCheck/OutputCheck-0.4.2.ebuild
+++ b/dev-python/OutputCheck/OutputCheck-0.4.2-r1.ebuild
@@ -20,6 +20,8 @@ RESTRICT="!test? ( test )"
BDEPEND="test? ( dev-python/lit[${PYTHON_USEDEP}] )"
+PATCHES=( "${FILESDIR}"/${P}-Driver.patch )
+
src_prepare() {
distutils-r1_src_prepare
@@ -33,5 +35,5 @@ src_prepare() {
}
python_test() {
- lit "${S}"/tests || die "running test with ${EPYTHON} failed"
+ lit --verbose "${S}"/tests || die "running test with ${EPYTHON} failed"
}
diff --git a/dev-python/OutputCheck/files/OutputCheck-0.4.2-Driver.patch b/dev-python/OutputCheck/files/OutputCheck-0.4.2-Driver.patch
new file mode 100644
index 000000000000..9812bd728e0c
--- /dev/null
+++ b/dev-python/OutputCheck/files/OutputCheck-0.4.2-Driver.patch
@@ -0,0 +1,11 @@
+--- a/OutputCheck/Driver.py
++++ b/OutputCheck/Driver.py
+@@ -34,7 +34,7 @@ ExitCode = enum('SUCCESS',
+
+ def main(args):
+ parser = argparse.ArgumentParser(description=__doc__)
+- parser.add_argument('check_file', type=argparse.FileType('rU'), help='File containing check commands')
++ parser.add_argument('check_file', type=argparse.FileType('r'), help='File containing check commands')
+ parser.add_argument('--file-to-check=', type=argparse.FileType('r'), default='-', help='File to check (default %(default)s)')
+ parser.add_argument('--check-prefix=', default='CHECK', help='Prefix to use from check_file')
+ parser.add_argument("-l","--log-level",type=str, default="INFO", choices=['debug','info','warning','error'])